> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsrate parserfiles sample



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/rate-parser/files/{file}/sample
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/rate-parser/files/{file}/sample:
    get:
      tags:
        - RateParser
      operationId: sms.rate-parser.sample
      parameters:
        - name: file
          in: path
          required: true
          description: The file ID
          schema:
            type: string
            format: uuid
        - name: offset
          in: query
          schema:
            type:
              - integer
              - 'null'
            minimum: 0
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  file_name:
                    type: string
                  total_rows:
                    type: integer
                  rows:
                    type: array
                    items: {}
                  cols:
                    type: integer
                required:
                  - file_name
                  - total_rows
                  - rows
                  - cols
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````